
.. Copyright Aleksey Gurtovoy, David Abrahams 2007.
.. Distributed under the Boost
.. Software License, Version 1.0. (See accompanying
.. file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

The MPL supplies a suite of static assertion macros that are specifically 
designed to generate maximally useful and informative error messages
within the diagnostic capabilities of each compiler.

All assert macros can be used at class, function, or namespace scope.


.. |Asserts| replace:: `Asserts`_
